<?php

namespace OrganizationsManagement\Repository;

use OrganizationsManagement\Util\InstanceProvider;
use OrganizationsManagement\Util\Utilities;

class CallCategory
{

     public function setClassificationsCdAssunto($classificationId, $cdAssunto, $orgId)
    {
        $query = "UPDATE CLASSIFICATION
                     SET CDASSUNTO = '$cdAssunto'
                   WHERE ID = $classificationId";

        try {
           InstanceProvider::getEntityManager()->getConnection()->executeQuery($query);
        } catch (\Exception $e) {
            throw new \Exception($e->getMessage());
        };
    }

     public function getIssuesClassificationPM($conditions, $limit, $offset) {
        $query = <<<SQL
         SELECT *
          FROM (SELECT CLA.ID, CLA.LABEL, ASS.NMASSUNTO, ASS.CDASSUNTO
                  FROM CLASSIFICATION CLA
                  JOIN CLASSIFICATION_PROJECT_TYPE CPT ON (CPT.CLASSIFICATION = CLA.ID AND CPT.TYPE = 'P')
                  JOIN PROJECT_TYPE PRT ON (PRT.ID = CPT.PROJECT_TYPE)
                  LEFT JOIN ASSUNTO ASS ON CLA.CDASSUNTO = ASS.CDASSUNTO
                 WHERE PRT.EXTERNALTYPE = 'P'
                   AND CLA.IS_TASK = 'Y'
                   AND CLA.CONTROL IS NULL
                   
              GROUP BY CLA.LABEL, CLA.ID, ASS.NMASSUNTO, ASS.CDASSUNTO
              ORDER BY CLA.LABEL)
		 WHERE 1 = 1
		 $conditions
SQL;
        $query  = Utilities::getPaginatedQuery($query, $limit, $offset);
        return InstanceProvider::getEntityManager()->getConnection()->fetchAll($query);

    }


}
